summaryrefslogtreecommitdiff
path: root/dev-python/pykeepass
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 21:03:09 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 21:03:09 +0000
commitd97953e6ff67978da9554e7b4601aedceb21e215 (patch)
tree674053c902db6972b9716c9ac3b1e960ee7a5358 /dev-python/pykeepass
parent1d1fa5bb30df70070bbbbd2b777b839d31f09c41 (diff)
downloadbaldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.tar.gz
baldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.tar.xz
baldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.zip
Adding metadata
Diffstat (limited to 'dev-python/pykeepass')
-rw-r--r--dev-python/pykeepass/Manifest2
-rw-r--r--dev-python/pykeepass/files/pykeepass-4.0.0-fix-tests-install.patch33
-rw-r--r--dev-python/pykeepass/metadata.xml8
-rw-r--r--dev-python/pykeepass/pykeepass-4.0.0.ebuild40
-rw-r--r--dev-python/pykeepass/pykeepass-4.0.1.ebuild40
5 files changed, 123 insertions, 0 deletions
diff --git a/dev-python/pykeepass/Manifest b/dev-python/pykeepass/Manifest
new file mode 100644
index 000000000000..0192005ee72a
--- /dev/null
+++ b/dev-python/pykeepass/Manifest
@@ -0,0 +1,2 @@
+DIST pykeepass-4.0.0.tar.gz 88720 BLAKE2B 7dcce1ded4527f32e0a602d9a7b742fabd32ee6c5e6836f0d4d217c3117177f258e974275670c9cea408e05335004996bea6a68ba12fe02ac30b0276ac7cfb54 SHA512 03483c9dc78774b2c5d4088f9995db9a9142bc69a8d4bc1824f4868175d3556434cb155c1f35a3fa0c04fca72f571af518166f59bcbe21431b7fe34a20b57cb2
+DIST pykeepass-4.0.1.tar.gz 99343 BLAKE2B ed3ea6575041ef73adc769365078818af9080851bba8b31ee24ef283480633305147307c4ea7217fba96ca18cd90bcf33b0d66b0a9148121165f67937d8677b0 SHA512 512f25029fcaa7a84459767cd9101d113623722c2aaf466fd3e77cf0043c37d344ccd2c0226fcbc3b3c22e39f8060c172ab1e1c72993c469a4499b21c47f6134
diff --git a/dev-python/pykeepass/files/pykeepass-4.0.0-fix-tests-install.patch b/dev-python/pykeepass/files/pykeepass-4.0.0-fix-tests-install.patch
new file mode 100644
index 000000000000..2b25721653e7
--- /dev/null
+++ b/dev-python/pykeepass/files/pykeepass-4.0.0-fix-tests-install.patch
@@ -0,0 +1,33 @@
+From 883714197ab39dfb68a5dffd2268e88a964f8913 Mon Sep 17 00:00:00 2001
+From: David Heidelberg <david@ixit.cz>
+Date: Wed, 14 Aug 2019 17:37:25 +0200
+Subject: [PATCH] setup.py: exclude tests directory
+
+Fixes build on ebuild based distributions.
+
+Signed-off-by: David Heidelberg <david@ixit.cz>
+---
+ setup.py | 2 +-
+ tests/__init__.py | 0
+ 2 files changed, 1 insertion(+), 1 deletion(-)
+ delete mode 100644 tests/__init__.py
+
+diff --git a/setup.py b/setup.py
+index 773acfc..2a8c17b 100644
+--- a/setup.py
++++ b/setup.py
+@@ -11,7 +11,7 @@ setup(
+ author="Philipp Schmitt",
+ author_email="philipp@schmitt.co",
+ url="https://github.com/libkeepass/pykeepass",
+- packages=find_packages(),
++ packages=find_packages(exclude=("tests")),
+ install_requires=[
+ "python-dateutil",
+ "construct",
+diff --git a/tests/__init__.py b/tests/__init__.py
+deleted file mode 100644
+index e69de29..0000000
+--
+2.22.1
+
diff --git a/dev-python/pykeepass/metadata.xml b/dev-python/pykeepass/metadata.xml
new file mode 100644
index 000000000000..cd174bd3efed
--- /dev/null
+++ b/dev-python/pykeepass/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>telans@posteo.de</email>
+ <name>James Beddek</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-python/pykeepass/pykeepass-4.0.0.ebuild b/dev-python/pykeepass/pykeepass-4.0.0.ebuild
new file mode 100644
index 000000000000..003866a7a3f8
--- /dev/null
+++ b/dev-python/pykeepass/pykeepass-4.0.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to interact with keepass databases (supports KDBX3 and KDBX4) "
+HOMEPAGE="https://github.com/libkeepass/pykeepass"
+SRC_URI="https://github.com/libkeepass/pykeepass/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/argon2-cffi-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/construct-2.10.54[${PYTHON_USEDEP}]
+ >=dev-python/future-0.18.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.5[${PYTHON_USEDEP}]
+ >=dev-python/pycryptodome-3.8.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}"/pykeepass-4.0.0-fix-tests-install.patch )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+ # pycryptodomex to pycryptodome conversion
+ sed -i 's/Cryptodome/Crypto/g' pykeepass/kdbx_parsing/{common,twofish}.py || die
+}
+
+python_test() {
+ "${EPYTHON}" tests/tests.py -v || die
+}
diff --git a/dev-python/pykeepass/pykeepass-4.0.1.ebuild b/dev-python/pykeepass/pykeepass-4.0.1.ebuild
new file mode 100644
index 000000000000..3a08cb64d1a0
--- /dev/null
+++ b/dev-python/pykeepass/pykeepass-4.0.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to interact with keepass databases (supports KDBX3 and KDBX4) "
+HOMEPAGE="https://github.com/libkeepass/pykeepass"
+SRC_URI="https://github.com/libkeepass/pykeepass/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/argon2-cffi-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/construct-2.10.54[${PYTHON_USEDEP}]
+ >=dev-python/future-0.18.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.5[${PYTHON_USEDEP}]
+ >=dev-python/pycryptodome-3.8.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}"/pykeepass-4.0.0-fix-tests-install.patch )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+ # pycryptodomex to pycryptodome conversion
+ sed -i 's/Cryptodome/Crypto/g' pykeepass/kdbx_parsing/{common,twofish}.py || die
+}
+
+python_test() {
+ "${EPYTHON}" tests/tests.py -v || die
+}